curl --request GET \
--url https://api.pcxpay.com/v1/payments/org/{org_id}/entity/{entity_type} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"payment_id": "<string>",
"amount": 123,
"currency": "<string>",
"user_id": "<string>",
"status": "initiated",
"direction": "inbound",
"payment_method": "bank_transfer",
"org_id": "<string>",
"beneficiary_id": "<string>",
"transaction_id": "<string>",
"target_amount": 123,
"target_currency": "<string>",
"from_currency": "<string>",
"region_id": "<string>",
"payment_path_method": "direct",
"bank_account": {},
"card_details": {},
"mobile_money_details": {},
"payer_details": {},
"recipient_info": {},
"metadata": {},
"user_metadata": {},
"webhook_metadata": {},
"fee_ids": [
"<string>"
],
"total_fees": 123,
"provider": "manual",
"provider_payment_id": "<string>",
"provider_status": "<string>",
"provider_data": {},
"payout_initiated": true,
"payout_id": "<string>",
"instructions": "<string>",
"comments": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"count": 123,
"total_count": 123,
"last_evaluated_key": "<string>",
"has_more": true
}
}curl --request GET \
--url https://api.pcxpay.com/v1/payments/org/{org_id}/entity/{entity_type} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"payment_id": "<string>",
"amount": 123,
"currency": "<string>",
"user_id": "<string>",
"status": "initiated",
"direction": "inbound",
"payment_method": "bank_transfer",
"org_id": "<string>",
"beneficiary_id": "<string>",
"transaction_id": "<string>",
"target_amount": 123,
"target_currency": "<string>",
"from_currency": "<string>",
"region_id": "<string>",
"payment_path_method": "direct",
"bank_account": {},
"card_details": {},
"mobile_money_details": {},
"payer_details": {},
"recipient_info": {},
"metadata": {},
"user_metadata": {},
"webhook_metadata": {},
"fee_ids": [
"<string>"
],
"total_fees": 123,
"provider": "manual",
"provider_payment_id": "<string>",
"provider_status": "<string>",
"provider_data": {},
"payout_initiated": true,
"payout_id": "<string>",
"instructions": "<string>",
"comments": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"count": 123,
"total_count": 123,
"last_evaluated_key": "<string>",
"has_more": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.